#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - ssh installation
#
# Creation   :  2012-09-15 holbru
# Last update:  $Id: postinstall-ssh.sh 36934 2015-03-02 19:23:05Z hbfl $
#
# Copyright (c) 2012-2015 the eisfair team, team(at)eisfair(dot)org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name='ssh'

# ---------------------------------------------------------------------------
# create symlink
# ---------------------------------------------------------------------------

# remove obsolete script
rm -f /var/install/bin/system-ssh-create_keys

/var/install/config.d/ssh-update.sh

# ---------------------------------------------------------------------------
# update-2.4.0 only
# ---------------------------------------------------------------------------
if [ -f /var/log/btmp ]
then
    sed -i "s|SSH_USE_BTMP_LOGFILE=.*$|SSH_USE_BTMP_LOGFILE='yes'|" /etc/config.d/ssh
fi
# ---------------------------------------------------------------------------

/var/install/config.d/ssh.sh

# do that only with START=yes
. /etc/config.d/ssh

if [ "${START_SSH}" = "yes" ]
then
    /etc/init.d/ssh start
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
